<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="../layout/template.xhtml">
    <ui:define name="body">
        <ui:decorate template="/layout/form/_form_page.xhtml">
            <h:panelGroup rendered="#{not testCaseManager.isEditForm()}">
                <h2>#{messages['net.ihe.gazelle.atna.CreateATestCase']}</h2>
            </h:panelGroup>
            <h:panelGroup rendered="#{testCaseManager.isEditForm()}">
                <h2>#{messages['net.ihe.gazelle.atna.EditATestCase']}</h2>
            </h:panelGroup>
            <h:form id="createForm">
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.TestCaseIdentity']}</ui:define>

                    <div class="form-horizontal">
                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="nameInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.TestCaseName']}</ui:define>
                            <h:inputText value="#{testCaseManager.currentTestCase.name}" size="30"
                                         id="nameInput" styleClass="form-control" required="true"/>
                        </s:decorate>
                        <h:panelGroup rendered="#{testCaseManager.isEditForm()}">
                            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:param name="id" value="lastChangeDisplay"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.atna.LastChange']}</ui:define>
                                <p id="lastChangeDisplay" class="form-control-static">
                                    <g:date value="#{testCaseManager.currentTestCase.getLastChanged()}"/>
                                    <h:outputText
                                            value=" #{messages['net.ihe.gazelle.atna.By']} #{testCaseManager.getUserName(testCaseManager.currentTestCase.getLastModifierId())}"/>
                                </p>
                            </s:decorate>
                        </h:panelGroup>
                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="contextInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.Context']}</ui:define>
                            <h:selectOneMenu value="#{testCaseManager.currentTestCase.context}"
                                             id="contextInput" styleClass="form-control gzl-select-text">
                                <f:selectItems value="#{testCaseManager.getContextTypeItems()}"/>
                                <a4j:ajax event="change" render="dataSetSelection" execute="@this"
                                          listener="#{testCaseManager.resetTlsDataSet()}"/>
                            </h:selectOneMenu>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="descInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.Description']} (#{messages['net.ihe.gazelle.atna.1023Max']})
                            </ui:define>
                            <h:inputTextarea id="descInput" value="#{testCaseManager.currentTestCase.description}"
                                             rows="7" styleClass="form-control">
                                <f:validateLength maximum="1023"/>
                            </h:inputTextarea>
                        </s:decorate>
                    </div>


                </ui:decorate>

                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.TestParameters']}</ui:define>

                    <div class="form-horizontal">
                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="sutTypeInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.SystemUnderTestSUT']})</ui:define>
                            <p class="form-control-static">#{messages['net.ihe.gazelle.atna.Server']}</p>
                            <h:selectOneRadio id="sutTypeInput" value="#{testCaseManager.currentTestCase.sutType}"
                                              required="true" styleClass="form-control" rendered="false">
                                <f:selectItems value="#{testCaseManager.getSimulatorTypeItems()}"/>
                                <f:converter converterId="simulatorTypeConverter"/>
                                <a4j:ajax event="change" execute="@this"/>
                            </h:selectOneRadio>
                        </s:decorate>
                        <s:div id="dataSetSelection">
                            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:param name="id" value="dataSetInput"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.atna.DataSet']}</ui:define>
                                <h:selectOneMenu id="dataSetInput" value="#{testCaseManager.currentDataSet}"
                                                 styleClass="form-control gzl-select-text" required="true">
                                    <f:selectItem itemValue="#{null}" noSelectionOption="true"
                                                  itemLabel="#{messages['net.ihe.gazelle.atna.PleaseSelect']}"/>
                                    <f:selectItems value="#{testCaseManager.getTlsDataSetItems()}"/>
                                    <a4j:ajax event="change" render="viewPanel" execute="@this"/>
                                </h:selectOneMenu>
                                <s:div id="viewPanel">
                                    <s:div rendered="#{testCaseManager.isTlsDataSetSelected()}">
                                        <ui:include src="/dataset/viewPanel.xhtml">
                                            <ui:param name="dataSet" value="#{testCaseManager.currentDataSet}"/>
                                            <ui:param name="manager" value="#{testCaseManager}"/>
                                        </ui:include>
                                    </s:div>
                                </s:div>
                            </s:decorate>
                        </s:div>
                    </div>
                </ui:decorate>

                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.ExpectedResults']}</ui:define>

                    <div class="form-horizontal">
                        <div class="row">
                            <div class="col-md-8">
                                <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.ExpectHandshakeSuccess']}
                                    </ui:define>
                                    <h:selectBooleanCheckbox
                                            value="#{testCaseManager.currentTestCase.expectedHandshakeSuccess}">
                                    </h:selectBooleanCheckbox>
                                </s:decorate>
                            </div>
                            <div class="col-md-4">
                                <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.Mandatory']}</ui:define>
                                    <h:selectBooleanCheckbox
                                            value="#{testCaseManager.currentTestCase.mandatoryHandshakeSuccess}">
                                    </h:selectBooleanCheckbox>
                                </s:decorate>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-8">
                                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.ExpectedAlertLevel']}
                                    </ui:define>
                                    <h:selectOneMenu value="#{testCaseManager.currentTestCase.expectedAlertLevel}"
                                                     styleClass="form-control gzl-select-text">
                                        <f:selectItem itemValue="#{null}" noSelectionOption="true"
                                                      itemLabel="#{messages['net.ihe.gazelle.atna.None']}"/>
                                        <f:selectItems value="#{testCaseManager.getAlertLevelItems()}"/>
                                        <f:converter converterId="alertLevelConverter"/>
                                    </h:selectOneMenu>
                                </s:decorate>
                            </div>
                            <div class="col-md-4">
                                <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.Mandatory']}</ui:define>
                                    <h:selectBooleanCheckbox
                                            value="#{testCaseManager.currentTestCase.mandatoryAlertLevel}">
                                    </h:selectBooleanCheckbox>
                                </s:decorate>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-8">
                                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                    <ui:param name="id" value="alertDescInput"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.ExpectedAlertDescription']}
                                    </ui:define>
                                    <rich:pickList id="alertDescInput" value="#{testCaseManager.alertDescriptions}"
                                                   minListHeight="120px" maxListHeight="200px">
                                        <f:selectItems value="#{testCaseManager.getAlertDescriptionItems()}"/>
                                        <f:converter converterId="alertDescriptionConverter"/>
                                    </rich:pickList>
                                </s:decorate>
                            </div>
                            <div class="col-md-4">
                                <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.Mandatory']}</ui:define>
                                    <h:selectBooleanCheckbox
                                            value="#{testCaseManager.currentTestCase.mandatoryAlertDescription}">
                                    </h:selectBooleanCheckbox>
                                </s:decorate>
                            </div>
                        </div>
                    </div>
                </ui:decorate>

                <em class="pull-right">* #{messages['net.ihe.gazelle.atna.Required']}</em>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.atna.Save']}" styleClass="gzl-btn-blue"
                                   action="#{testCaseManager.saveTestCase()}" render="createForm,gazelle-messages"/>
                <h:outputLink value="#{testCaseManager.linkToTestCaseList()}" styleClass="gzl-btn">
                    #{messages['net.ihe.gazelle.atna.BackToList']}
                </h:outputLink>

            </h:form>
        </ui:decorate>
    </ui:define>
</ui:composition>
